Subject: [manet] Error compiling Kernel-aodv for ARM

From: "abdusyarif" <[email-masked]>
Date: Thu, 7 Apr 2005 18:22:13 +0700

Dear all...

I've been trying to compiling kernel-aodv for ARM Linux Familiar v0.2.7. 
I did it im my laptop using Linux kernel 2.4. And I follwed 'README' file in kernel-aodv.
When I did 'make' , it show error like this :

[root@abdusyarif kernel-aodv_v2.2.2]# make
/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c aodv_dev.c -o aodv_dev.o

In file included from aodv_route.h:17,

from aodv_dev.h:21,

from aodv_dev.c:9:

packet_queue.h:78: warning: `struct nf_info' declared inside parameter list

packet_queue.h:78: warning: its scope is only this definition or declaration, which is probably not what you want

/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c aodv_neigh.c -o aodv_neigh.o

In file included from aodv_route.h:17,

from aodv_neigh.h:19,

from aodv_neigh.c:9:

packet_queue.h:78: warning: `struct nf_info' declared inside parameter list

packet_queue.h:78: warning: its scope is only this definition or declaration, which is probably not what you want

/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c aodv_route.c -o aodv_route.o

In file included from aodv_route.h:17,

from aodv_route.c:10:

packet_queue.h:78: warning: `struct nf_info' declared inside parameter list

packet_queue.h:78: warning: its scope is only this definition or declaration, which is probably not what you want

/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c aodv_thread.c -o aodv_thread.o

/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c flood_id.c -o flood_id.o

flood_id.c: In function `read_flood_id_proc':

flood_id.c:144: warning: passing arg 2 of `strcpy' makes pointer from integer without a cast

/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c hello.c -o hello.o

In file included from aodv_route.h:17,

from aodv_neigh.h:19,

from hello.h:12,

from hello.c:9:

packet_queue.h:78: warning: `struct nf_info' declared inside parameter list

packet_queue.h:78: warning: its scope is only this definition or declaration, which is probably not what you want

/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c kernel_route.c -o kernel_route.o

kernel_route.c: In function `delete_kernel_route_entry':

kernel_route.c:109: warning: passing arg 2 of `strcpy' makes pointer from integer without a cast

kernel_route.c:110: warning: passing arg 2 of `strcpy' makes pointer from integer without a cast

/home/anyip/testbed/arm/bin/arm-linux-gcc -O3 -DMODULE -D__KERNEL__ -DLINUX -DARM -DMESSAGES -DAODV_GATEWAY -DAODV_SIGNAL -DTRACE -I/home/anyip/adhoc/ipaq/include/ -c module.c -o module.o

In file included from aodv_route.h:17,

from packet_in.h:21,

from module.h:20,

from module.c:9:

packet_queue.h:78: warning: `struct nf_info' declared inside parameter list

packet_queue.h:78: warning: its scope is only this definition or declaration, which is probably not what you want

module.c: In function `init_module':

module.c:89: invalid use of undefined type `struct nf_hook_ops'

module.c:90: invalid use of undefined type `struct nf_hook_ops'

module.c:91: invalid use of undefined type `struct nf_hook_ops'

module.c:92: invalid use of undefined type `struct nf_hook_ops'

module.c:93: invalid use of undefined type `struct nf_hook_ops'

module.c:96: invalid use of undefined type `struct nf_hook_ops'

module.c:97: invalid use of undefined type `struct nf_hook_ops'

module.c:98: invalid use of undefined type `struct nf_hook_ops'

module.c:99: invalid use of undefined type `struct nf_hook_ops'

module.c:100: invalid use of undefined type `struct nf_hook_ops'

module.c: At top level:

module.c:11: storage size of `input_filter' isn't known

module.c:12: storage size of `output_filter' isn't known

make: *** [module.o] Error 1

[root@abdusyarif kernel-aodv_v2.2.2]# 

My questions are :

(1) What is wrong ? (2)  What am I suppose to do?

Thanks in advance,

Abdusy Syarif

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet